# Interface methods for submodule: BayesianClassifierInitializationImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: BayesianClassifierInitializationImageFilter
class BayesianClassifierInitializationImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetMembershipFunctions(self, membershipFunction) -> None:
		""""""
		...

	def GetModifiableMembershipFunctionContainer(self):
		""""""
		...

	def GetMembershipFunctionContainer(self):
		""""""
		...

	def SetNumberOfClasses(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfClasses(self) -> int:
		""""""
		...

	def GenerateOutputInformation(self) -> None:
		""""""
		...

